import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { AuthComponent } from 'app/pages/auth/auth.component';

export const appRoutes: Routes = [{
  path: '', component: AuthComponent, children: [
    { path: 'signin', loadChildren: './signin/signin.module#SigninModule' },
  ]
}
];

@NgModule({
  imports: [
    CommonModule,
    RouterModule.forChild(appRoutes),
  ],
  declarations: [
    AuthComponent
  ]
})
export class AuthModule { }
